org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class Action

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Action

    public class Action
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Action()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()`
`String` `getName()`
`String` `getScript()`
`void` `setDescription(String description)`
`void` `setName(String name)`
`void` `setScript(String script)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Action

    public Action()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getScript

    public String getScript()

#### setScript

    public void setScript(String script)